Get User
curl --request GET \
--url https://api.doshi.app/client/user/{partnerUserId} \
--header 'Access-Type: <access-type>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.doshi.app/client/user/{partnerUserId}"
headers = {
"Access-Type": "<access-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Access-Type': '<access-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.doshi.app/client/user/{partnerUserId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"partnerUserId": "<string>",
"firstName": "<string>",
"contentScopes": [],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}User
Get User
Get user details by partnerUserId. Only returns a subset of user fields.
GET
/
client
/
user
/
{partnerUserId}
Get User
Authorizations
Authentication token (API Key) provided by Doshi. Your server's IP address must be whitelisted to use this API. Contact hello@doshi.app to whitelist your IPs.
Headers
Must be set to 'client' for all API requests
Available options:
client Path Parameters
Was this page helpful?
⌘I
